Bug 126769 - problem with display of umlaut characters in subject
problem with display of umlaut characters in subject
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-26 06:14 EDT by Thilo Pfennig
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-2.2.3-2.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-16 10:07:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thilo Pfennig 2004-06-26 06:14:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040622 Epiphany/1.2.6

Description of problem:
emails with german umlauts in it are not diplayed correctly in subject
and sometimes in the body of the mail.

Version-Release number of selected component (if applicable):
evolution-1.5.9.2-1

How reproducible:
Sometimes

Steps to Reproduce:
1. open an email with german umlauts in it


Actual Results:  I have some problems with characters like "����"
(german umlauts) in evolution.

One header source might look like this:


Subject:
       
=?iso-8859-1?Q?Erkl=E4rung_der_Europ=E4ischen_Kommission_zu_Tibet/UN-Sond?=
       
=?iso-8859-1?Q?erberichterstatter_f=FCr_Folter_mu=DF__China-Besuch_versch?=
        =?iso-8859-1?Q?ieben?=
Date: Wed, 23 Jun 2004 18:36:09 +0200
MIME-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook IMO, Build 9.0.6604 (9.0.2911.0)
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2800.1409


Evolution displays it like this:

=?iso-8859-1?Q?Erkl=E4rung_der_Europ=E4ischen_Kommission_zu_Tibet/UN-Sond?=
=?iso-8859-1?Q?erberichterstatter_f=FCr_Folter_mu=DF__China-Besuch_versch?=
ieben.

In some mails, even umlauts in message body are missing. Like ion this
one (missing character is marked with ><):

Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
MIME-Version: 1.0
Date: Thu, 24 Jun 2004 05:30:04 +0200
From: newsletter@listserv.heise.de
To: heisec-summary@listserv.heise.de
Subject: [Heisec-summary] heise Security News
[...]

Nachrichten><berblick der vergangenen sieben Tage
------------------------------------------------

heise Security News

[] Computer-Virus plagt schwedische Krankenkasse [Update]
http://www.heise.de/security/news/meldung/48535
Um der Lage Herr zu werden haben die Techniker der staatlichen
schwedischen
Krankenkasse viele Systeme abgeschaltet und analysieren zurzeit die
Angriffe.> <ber Herkunft und Art des Virus gibt es bislang keine Auskunft.


I think I had this error before the update to 1.5.9.x .




Expected Results:  all characters are displayes corectly.

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:14:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Thilo Pfennig 2005-12-16 10:07:25 EST
I think this was fixed earlier

Note You need to log in before you can comment on or make changes to this bug.